GCLOUD_COMPONENTS_UPDATE(1)

NAME

gcloud components update - update all of your installed components to the latest version

SYNOPSIS

gcloud components update [--version VERSION] [GLOBAL-FLAG ...]

DESCRIPTION
Ensure that the latest version of all installed components is installed on the local workstation. The command lists all components it is about to update, and asks for confirmation before proceeding. By default, this command will update all components to their latest version. This can be configured by using the --version flag to choose a specific version to update to. This version may also be a version older than the one that is currently installed. You can see your current Cloud SDK version by running:
    $ gcloud version

FLAGS
--version VERSION
    An optional Cloud SDK version to update your components to. By default, components are updated to the latest available version.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To update all installed components to the latest version:
    $ gcloud components update
To update all installed components to version 1.2.3:
    $ gcloud components update --version 1.2.3